org.apache.commons.math3.analysis.interpolation

## Class MicrosphereInterpolatingFunction

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.MicrosphereInterpolatingFunction

- All Implemented Interfaces:
    MultivariateFunction

      public class MicrosphereInterpolatingFunction
      extends Object
      implements MultivariateFunction

  Interpolating function that implements the Microsphere Projection.
  Version:
    $Id: MicrosphereInterpolatingFunction.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MicrosphereInterpolatingFunction(double[][] xval, double[] yval, int brightnessExponent, int microsphereElements, UnitSphereRandomVectorGenerator rand)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `value(double[] point)` Compute the value for the function at the given point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MicrosphereInterpolatingFunction

          public MicrosphereInterpolatingFunction(double[][] xval,
                                          double[] yval,
                                          int brightnessExponent,
                                          int microsphereElements,
                                          UnitSphereRandomVectorGenerator rand)

      Parameters:
        `xval` - the arguments for the interpolation points. `xval[i][0]` is the first component of interpolation point `i`, `xval[i][1]` is the second component, and so on until `xval[i][d-1]`, the last component of that interpolation point (where `dimension` is thus the dimension of the sampled space).
        `yval` - the values for the interpolation points
        `brightnessExponent` - Brightness dimming factor.
        `microsphereElements` - Number of surface elements of the microsphere.
        `rand` - Unit vector generator for creating the microsphere.
      Throws:
        `DimensionMismatchException` - if the lengths of `yval` and `xval` (equal to `n`, the number of interpolation points) do not match, or the the arrays `xval[0]` ... `xval[n]`, have lengths different from `dimension`.
        `NoDataException` - if there an array has zero-length.
        `NullArgumentException` - if an argument is `null`.

  - ### Method Detail

    - #### value

          public double value(double[] point)

      Description copied from interface: `MultivariateFunction`
      Compute the value for the function at the given point.
      Specified by:
        `value` in interface `MultivariateFunction`
      Parameters:
        `point` - Interpolation point.
      Returns:
        the interpolated value.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.